Subject: Re: bug#15240: 24.3; Shell completion error: comint-last-prompt-overlay

From: Christopher Schmidt <[email-masked]>
Date: Mon, 2 Sep 2013 11:24:57 +0100 (BST)

Rodrigo Rodrigues <[email-masked]> writes:
> Shell completion is broken. I'm getting the error:
>
> completion--some: Symbol's value as variable is void:
> comint-last-prompt-overlay Looking at comint.el I can't find
> "comint-last-prompt-overlay", but I see:
>
> (defvar comint-last-prompt nil
> "Markers pointing to the last prompt.
> If non-nil, a cons cell containing markers. The car points to
> the start, the cdr to the end of the last prompt recognized.")
> So I suppose that "comint-last-prompt-overlay" is gone in favor of
> "comint-last-prompt".

comint-last-prompt-overlay was removed in order to work around bug
14744.  There are no occurrences to comint-last-prompt within Emacs'
source code any more.

I do not think comint-last-prompt-overlay was supposed to be used by
user code.  It was a defvar without a docstring, right in-between two
function definitions.

        Christopher